Subject: Re: bug#20662: 25.0.50; Remote copy through Dired fails

From: Manuel Uberti <[email-masked]>
Date: Wed, 27 May 2015 15:11:25 +0200

On 27/05/15 10:31, Michael Albinus wrote:
> Manuel Uberti <[email-masked]> writes:
> 
>> Hello,
> 
> Hi Manuel,
> 
>> Every time I try to copy from remote to local I get this error:
>>
>>     file-error Setting current directory No such file or directory
>>
>> This is happening only when I'm copying a file in some nested directory
>> on the remote machine. For instance, if I try to copy
>> /home/admin/bin/foo to my local directory, it works. But if I try to
>> copy /home/admin/bin/foo/bar I get the above mentioned error.
>>
>> Some extra info:
>>
>> -  with emacs -Q copying files from remote to local works;
>> -  with emacs -q I get the same error;
>> -  copying from local to remote works every time;
>> -  I am using Emacs 25.0.50.1 (build: 45c92dd) on Debian unstable;
>> -  I listed (through C-h m) the active minor modes both with my init.el
>>    and with emacs -Q right before starting to copy the remote file:
>>    they are the same.
>>
>> After some debugging, I nailed down the issue to this line of
>> dired-copy-file-recursive:
>>
>> (copy-file from to ok-flag preserve-time)
> 
> Honestly, I'm not able to reproduce your problem with the given
> description. Could you, please, give a recipe how to see it?
> 
> Obviously, the recipe shall start with "emacs -Q". But as you are saying
> it works then, I will need also a minimal init.el and/or .emacs from
> your config, which triggers the error.
> 
>> Kind regards,
>> Manuel Uberti
> 
> Best regards Michael.
> 

Hi Michael,

thanks for the prompt answer.

What I usually do is open two Dired panels. On top I have my local
directory, and in the bottom panel the remote one. I set
dired-dwim-target to t in my config so the target for the operation is
always the other panel.

Then I basically press C on the file I want to copy. That's it, really,
it doesn't get much complex than that.

My configuration is here: https://github.com/manuel-uberti/.emacs.d

All that is related to Dired, in particular, is in lisp/custom-files.el

If you need me to do some other tests, please feel free to ask.

Thanks again

Manuel Uberti
<[email-masked]>